Bug 986039 - Cannot shut down VM via API or Admin Portal
Cannot shut down VM via API or Admin Portal
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
All Linux
urgent Severity high
: ---
: ---
Assigned To: Vinzenz Feenstra [evilissimo]
Depends On:
  Show dependency treegraph
Reported: 2013-07-18 16:28 EDT by Allan Voss
Modified: 2014-01-01 03:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-13 09:48:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
acathrow: Triaged+

Attachments (Terms of Use)

  None (edit)
Description Allan Voss 2013-07-18 16:28:11 EDT
Description of problem:
Cannot shutdown VM using API or Admin Portal

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Shutdown VM from Admin portal or using API

Actual results:
The status changes to powering_down, then 5 minutes later the message "Shutdown failed" appears

Expected results:
Successful guest shutdown

Additional info:
Comment 16 Vinzenz Feenstra [evilissimo] 2013-08-13 09:48:45 EDT
Well we can see here that the guest agent is actually sending the poweroff. If it doesn't work this was blocked by another application e.g. A system service. In this case there's nothing we cannot do anything.

8/4/2013	2:00:04 AM	USER32	Information	None	1074	NT AUTHORITY\SYSTEM	JAEXC01	"The process winlogon.exe has initiated the power off of computer JAEXC01 on behalf of user NT AUTHORITY\SYSTEM for the following reason: No title for this reason could be found
 Reason Code: 0x840000ff
 Shutdown Type: power off
 Comment: System Administrator has initiated shutdown of this Virtual Machine. Virtual Machine is shutting down."

Note You need to log in before you can comment on or make changes to this bug.